Bug 22810 - Safari can't remove strikethrough
Summary: Safari can't remove strikethrough
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 20215 23366 23496
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-11 13:27 PST by Deepak Jindal
Modified: 2009-07-23 14:24 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Deepak Jindal 2008-12-11 13:27:46 PST
If you have html like this:
<strike>hello</strike>

Safari can't remove the strike through. It make it:
<strike style=""><span class="Apple-style-span" style="text-decoration: none;">hello</span></strike>

Which all browsers including Safari still show as strike through.
Comment 1 Alexey Proskuryakov 2008-12-12 01:42:06 PST
How are you trying to remove the strikethrough? It can certainly be done with DOM manipulations.
Comment 2 Deepak Jindal 2008-12-12 10:07:26 PST
My mistake. I should have mentioned that I am trying to remove it using execCommand strikeThrough. 
Comment 3 Eric Seidel (no email) 2009-01-23 00:54:30 PST
This will be fixed when I fix bug 20215.  I'll leave it as a separate bug until then.
Comment 4 Eric Seidel (no email) 2009-02-05 13:11:43 PST
I've got a partial patch locally.  This is going to require some serious surgery to ApplyStyleCommand though.  So this will have to wait until bug 23496 is reviewed and landed.
Comment 5 Ryosuke Niwa 2009-07-23 14:24:45 PDT
Fixed in http://trac.webkit.org/changeset/46286.